检索检测结果

GET https://contrails.googleapis.com/v2/detections:以 GeoJSON LineString 格式获取凝结尾迹检测结果。

如果成功,响应将为 GeoJSON 格式的 FeatureCollection。请注意,如果时间范围超出范围(例如,搜索未来检测到的凝结尾迹),则可能会返回空的 FeatureCollection。此外,由于检测模型会更新,并且数据会回填,因此无法保证检测结果始终一致。

查询参数

参数
start_time

string

必需。请求的开始时间。

格式:ISO 8601 日期时间字符串

示例:2026-01-20T21:00:00Z

end_time

string

必需。请求的结束时间(含)。请注意,end_time 不能比 start_time 大 24 小时以上。

格式:ISO 8601 日期时间字符串

示例:2026-01-20T22:00:00Z

satellite_origins[]

string

可选。有效值为 GOES-EAST-FULL-DISKHIMAWARI-FULL-DISKMTG-000-FULL-DISK,分别表示 GOES_EAST、Himawari 和 MTG 卫星。

如果提供此参数,相应端点将返回 satellite_origins 中指定的卫星检测到的凝结尾迹。

如果未提供,则返回所有适用卫星数据提供商检测到的凝结尾迹。

格式:字符串数组

示例:["GOES-EAST-FULL-DISK", "HIMAWARI-FULL-DISK"]

示例

  • 如需检索特定时间点的所有飞机尾迹检测结果,请执行以下操作:

    response = requests.get(
      url="https://contrails.googleapis.com/v2/detections",
      params={"start_time": "2026-01-27T12:00:00Z",
              "end_time": "2026-01-27T12:10:00Z"},
      headers={"x-goog-api-key": API_KEY},
    )
    
  • 如需检索特定时间点的飞机凝结尾迹检测结果(仅限 Himawari 检测结果),请执行以下操作:

    response = requests.get(
      url="https://contrails.googleapis.com/v2/detections",
      params={"start_time": "2026-01-27T12:00:00Z",
              "end_time": "2026-01-27T12:10:00Z",
              "satellite_origins": ["HIMAWARI-FULL-DISK"]}
      headers={"x-goog-api-key": API_KEY},
    )
    

    或在 C网址 中:

    curl "https://contrails.sandbox.googleapis.com/v2/detections?\
    key=API_KEY&\
    start_time=2026-01-27T12:00:00Z&\
    end_time=2026-01-27T12:10:00Z&\
    satellite_origins=HIMAWARI-FULL-DISK"
    

如果成功响应中包含检测到的凝结尾迹,则响应内容将如下所示:

{
  "type": "FeatureCollection",
  "features": [
    {
      "type": "Feature",
      "geometry": {
        "type": "LineString",
        "coordinates": [
          [
            90.06765747070312,
            44.201324462890625
          ],
          [
            90.99974060058594,
            43.65225601196289
          ]
        ]
      },
      "properties": {
        "time": "2026-03-10T00:00:00+00:00",
        "satellite_origin": "HIMAWARI-FULL-DISK"
      }
    },
    {
      "type": "Feature",
      "geometry": {
        "type": "LineString",
        "coordinates": [
          [
            105.36386108398438,
            -1.7198446989059448
          ],
          [
            105.7318115234375,
            -2.5787696838378906
          ]
        ]
      },
      "properties": {
        "time": "2026-03-10T00:00:00+00:00",
        "satellite_origin": "HIMAWARI-FULL-DISK"
      }
    }
  ]
}